package com.huiju.welcome.common.base;

import java.io.Serializable;

/**
 * 接口统一状态返回BEAN.
 */
public class ResponseBean<T> implements Serializable {

    private static final long serialVersionUID = 3593827217136880822L;

    public static final String CODE_SUCCESS =  "0";
    public static final String CODE_FAIL =  "1";

    private int code = 200;

    private String message = "成功";

    private T data;

    public ResponseBean() {
    }

    public void addDefaultError() {
        this.code = 401;
        this.message = "失败";
    }

    public void addError(String message) {
        this.code = 401;
        this.message = message;
    }

    public void addError(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public void addSuccess(String message) {
        this.message = message;
    }

    public void addSuccess(T data) {
        this.data = data;
    }

    public T getData() {
        return this.data;
    }

    public int getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    @Override
    public String toString() {
        return  "{ code: "+code+", message: "+message+", data: <T> }";
    }
}
